### Method

# Gtk.CellRenderer.get_state

#### Declaration [src]

    GtkStateFlags
    gtk_cell_renderer_get_state (
      GtkCellRenderer* cell,
      GtkWidget* widget,
      GtkCellRendererState cell_state
    )

#### Description [src]

Translates the cell renderer state to `GtkStateFlags`, based on the cell renderer and widget sensitivity, and the given `GtkCellRendererState`.

#### Parameters

`widget` | `GtkWidget`
| a `GtkWidget`, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`cell_state` | `GtkCellRendererState`
| cell renderer state

#### Return value

Returns: `GtkStateFlags`
the widget state flags applying to `cell`